![Gauge Logo](Gauge-Logo.png)

# Welcome to Gauge

[![Join the chat at https://gitter.im/getgauge/gauge](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/getgauge/chat?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge) [![Build Status](https://snap-ci.com/getgauge/gauge/branch/master/build_image)](https://snap-ci.com/getgauge/gauge/branch/master)  [ ![Download Nightly](https://api.bintray.com/packages/gauge/Gauge/Nightly/images/download.svg) ](https://bintray.com/gauge/Gauge/Nightly/_latestVersion) [![Stories in Ready](https://badge.waffle.io/getgauge/gauge.png?label=ready&title=Ready)](https://waffle.io/getgauge/gauge)

Gauge is a light weight cross-platform test automation tool. It provides the ability to author test cases in the business language.

Gauge champions the idea of **living/executable documentation**.

## Why Gauge?

The communication breakdowns between Developers and Business Stakeholders is a common risk of software development.

Gauge is an advanced automation tool that allows requirements to be written in a way that will be understood by all roles in a project and help bridge the gap.

Some of its key features include:

* A rich markup based on [markdown](https://en.wikipedia.org/wiki/Markdown)
* Simple, Flexible and Rich Syntax
* Business Language Tests : Supports the concept of executable documentation
* Consistent Cross Platform/Language Support for writing test code. Currently [supported languages](http://getgauge.io/documentation/user/current/test_code/index.html).
* Open Source, so it could be shared freely and improved by others as well
* A modular architecture with [plugin](http://getgauge.io/documentation/user/current/plugins/index.html) support.
* Extensible through [plugins](http://getgauge.io/documentation/user/current/plugins/index.html) and Hackable
* Supports External Data Sources
* Helps you create Maintainable and Understandable test suites
* [IDE Support](http://getgauge.io/documentation/user/current/ide_support/index.html)


## Looking for examples?
* Get gauge installers from the [download page](http://getgauge.io/get-started/index.html).
* [Getting started in 3 steps - Java](https://github.com/getgauge/gauge/wiki/Getting-Started-in-3-Steps)
* Other [example projects](http://getgauge.io/documentation/user/current/examples/examples.html)
* [Execute Specifications](http://getgauge.io/documentation/user/current/execution/index.html)

##Help

Refer our [Troubleshooting](http://getgauge.io/documentation/user/current/troubleshooting/troubleshooting.html) guide.

## Find out more

| **[User Docs] [userdocs]**     | **[Setup Guide] [setup]**     | **[Roadmap] [roadmap]**           | **[Contributing] [contributing]**           |
|:-------------------------------------:|:-------------------------------:|:-----------------------------------:|:---------------------------------------------:|
| [![i1] [userdocs-image]] [userdocs]<br>Learn more about using Gauge | [![i2] [setup-image]] [setup]<br> Getting started with Gauge | [![i3] [roadmap-image]] [roadmap]<br>Roadmap of Gauge Project | [![i4] [contributing-image]] [contributing]<br>How can you contribute to Gauge? |


## Questions or need help?

Check out the **[Talk to us] (http://github.com/getgauge/gauge/wiki/Talk-to-us)** page on our wiki.

[userdocs-image]:https://d3i6fms1cm1j0i.cloudfront.net/github/images/techdocs.png
[setup-image]:https://d3i6fms1cm1j0i.cloudfront.net/github/images/setup.png
[roadmap-image]:https://d3i6fms1cm1j0i.cloudfront.net/github/images/roadmap.png
[contributing-image]:https://d3i6fms1cm1j0i.cloudfront.net/github/images/contributing.png

[userdocs]:http://getgauge.io/documentation/user/current/index.html
[setup]:https://github.com/getgauge/gauge/wiki/Setting-up-Gauge
[roadmap]:http://github.com/getgauge/gauge/wiki/Product-Roadmap
[contributing]:CONTRIBUTING.md

## Add your Badge!
Copy the text below and add it to the README.md of your project using Gauge.

```
[![Gauge Badge](http://getgauge.io/Gauge_Badge.svg)](http://getgauge.io)
```

## License

![GNU Public License version 3.0](http://www.gnu.org/graphics/gplv3-127x51.png)
Gauge is released under [GNU Public License version 3.0](http://www.gnu.org/licenses/gpl-3.0.txt)

## Contributing

Please read the [guide](CONTRIBUTING.md) on contributing to Gauge.

## Copyright

Copyright 2016 ThoughtWorks, Inc.
